import OpenAI from 'openai';

export type ChatMessage = OpenAI.Chat.Completions.ChatCompletionMessageParam ;
export type ChatMessageOptions = Partial<OpenAI.Chat.Completions.ChatCompletionCreateParams>;
export type ChatMessageComplete = OpenAI.Chat.Completions.ChatCompletion;
export type ChatMessageStream = OpenAI.Chat.Completions.ChatCompletion;

export interface BaseChatInterface {
  chat(messages: ChatMessage[], options?: ChatMessageOptions): Promise<ChatMessageComplete>;
}

export interface BaseChatUsageInterface {
  /**
   * 提示词令牌
   */
  prompt_tokens: number;
  /**
   *  总令牌
   */
  total_tokens: number;
  /**
   * 完成令牌
   */
  completion_tokens: number;
}
