import type { Permission } from '@kevisual/permission';

export type AIModel = {
  /**
   * 提供商
   */
  provider: string;
  /**
   * 模型名称
   */
  model: string;
  /**
   * 模型组
   */
  group: string;
  /**
   * 每日请求频率限制
   */
  dayLimit?: number;
  /**
   * 总的token限制
   */
  tokenLimit?: number;
};
export type SecretKey = {
  /**
   * 组
   */
  group: string;
  /**
   * API密钥
   */
  apiKey: string;
  /**
   * 解密密钥
   */
  decryptKey?: string;
};

export type AIConfig = {
  title?: string;
  description?: string;
  models: AIModel[];
  secretKeys: SecretKey[];
  permission?: Permission;
  filter?: {
    objectKey: string;
    type: 'array' | 'object';
    operate: 'removeAttribute' | 'remove';
    attribute: string[];
  }[];
};
