import { app } from '@/app.ts';
import { ChatConfigServices } from './services/chat-config-srevices.ts';
import { log } from '@/logger/index.ts';
import { ChatServices } from './services/chat-services.ts';

/**
 * 清除缓存
 */
// https://localhost:4000/api/router?path=ai&key=clear-cache
app
  .route({
    path: 'ai',
    key: 'clear-cache',
    description: '清除缓存',
    middleware: ['auth'],
  })
  .define(async (ctx) => {
    const tokenUser = ctx.state.tokenUser;
    const username = tokenUser.username;
    const services = new ChatConfigServices(username, username);
    await services.clearCache();
    log.info('清除缓存成功', { username });
    ctx.body = 'success';
  })
  .addTo(app);

app
  .route({
    path: 'ai',
    key: 'clear-chat-limit',
    description: '清除chat使用情况',
    middleware: ['auth'],
  })
  .define(async (ctx) => {
    const tokenUser = ctx.state.tokenUser;
    const username = tokenUser.username;
    const cache = await ChatServices.clearChatLimit(username);
    log.debug('清除chat使用情况成功', { username, cache });
    ctx.body = {
      cache,
    };
  })
  .addTo(app);
